%UPDATEARCHIVE - update the tests archives in 'tests/Verification'
%
%   This script updates all the archive files of the Verification directory on Ice.
%   All the archive files are saved in the appropriate directory but no one is commited.
%   If you want to do so, just commit the updated files.

%Go to Test directory
eval(['cd ' ISSM_DIR '/Tests/']);

%Run all verification tests
cd Verification

%Get a list of the test decks
[status,list]=system('ls -l | grep -v CVS | awk ''{printf("%s|",$9);}'' '); %only works on *nix systems.
list=strsplit(list,'|');
%Go through list of decks, and run the deck runme.m files.
for i=2:length(list)-1,
	eval(['cd ' list{i}]);
	updatearchive;
	cd ..
end
